For the complete documentation index, see llms.txt. This page is also available as Markdown.

Examples

List Examples

get

List all Examples items.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
versionIdstring · min: 30 · max: 30Required

Catalog version identifier

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
Query parameters
afterstringOptional

Cursor for pagination (item ID)

limitinteger · min: 1 · max: 1000Optional

Maximum number of items to return (default: 50, max: 1000)

Default: 50
sortany ofOptional

Sort order. Use 'prop' for ascending, '-prop' for descending. Multiple params supported (e.g. sort=name&sort=-createdAt)

stringOptional
or
string[]Optional
Responses
200

List of Examples

application/json

Examples collection

get/v2/catalog/versions/{versionId}/examples
GET /v2/catalog/versions/{versionId}/examples HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [],
  "pagination": {
    "nextCursor": null,
    "hasMore": true,
    "limit": 1
  }
}

Create Example

post

Create a new Example item.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
versionIdstring · min: 30 · max: 30Required

Catalog version identifier

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
Body

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
Responses
201

Example created

application/json

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
post/v2/catalog/versions/{versionId}/examples
POST /v2/catalog/versions/{versionId}/examples HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 470

{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}
{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

Get Example

get

Get a Example item by its id.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
versionIdstring · min: 30 · max: 30Required

Catalog version identifier

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
idstring · min: 31 · max: 31Required

Example identifier

Example: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
Responses
200

Example details

application/json

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
get/v2/catalog/versions/{versionId}/examples/{id}
GET /v2/catalog/versions/{versionId}/examples/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

Replace Example

post

Completely replaces a Example item by its id.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
versionIdstring · min: 30 · max: 30Required

Catalog version identifier

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
idstring · min: 31 · max: 31Required

Example identifier

Example: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
Body

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
Responses
200

Example replaced

application/json

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
post/v2/catalog/versions/{versionId}/examples/{id}
POST /v2/catalog/versions/{versionId}/examples/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 470

{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}
{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

Delete Example

delete

Delete a Example item by its id.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
versionIdstring · min: 30 · max: 30Required

Catalog version identifier

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
idstring · min: 31 · max: 31Required

Example identifier

Example: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
Responses
204

Example deleted

No content

delete/v2/catalog/versions/{versionId}/examples/{id}
DELETE /v2/catalog/versions/{versionId}/examples/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Update Example

patch

Partially updates a Example item by its id.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
versionIdstring · min: 30 · max: 30Required

Catalog version identifier

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
idstring · min: 31 · max: 31Required

Example identifier

Example: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
Body
idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3ookifvvcmmExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Optional

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
Responses
200

Example updated

application/json

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
patch/v2/catalog/versions/{versionId}/examples/{id}
PATCH /v2/catalog/versions/{versionId}/examples/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 470

{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}
{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

List Examples

get

List all Examples items.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
projectRefany ofRequired

Project slug or project id (proj_*)

string · min: 31 · max: 31Optional

Object ID with prefix "proj_"

Example: proj_c4x6k3w8j7n9b1z5s2t4m8q0ve
or
string · min: 1Optional
versionTypestring · enumRequired

Version type, can be either 'branch' or 'environment'

Example: branchPossible values:
versionSlugstring · min: 1Required

Version slug

Example: main
Query parameters
afterstringOptional

Cursor for pagination (item ID)

limitinteger · min: 1 · max: 1000Optional

Maximum number of items to return (default: 50, max: 1000)

Default: 50
sortany ofOptional

Sort order. Use 'prop' for ascending, '-prop' for descending. Multiple params supported (e.g. sort=name&sort=-createdAt)

stringOptional
or
string[]Optional
Responses
200

List of Examples

application/json

Examples collection

get/v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples
GET /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [],
  "pagination": {
    "nextCursor": null,
    "hasMore": true,
    "limit": 1
  }
}

Create Example

post

Create a new Example item.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
projectRefany ofRequired

Project slug or project id (proj_*)

string · min: 31 · max: 31Optional

Object ID with prefix "proj_"

Example: proj_c4x6k3w8j7n9b1z5s2t4m8q0ve
or
string · min: 1Optional
versionTypestring · enumRequired

Version type, can be either 'branch' or 'environment'

Example: branchPossible values:
versionSlugstring · min: 1Required

Version slug

Example: main
Body

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
Responses
201

Example created

application/json

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
post/v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples
POST /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 470

{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}
{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

Get Example

get

Get a Example item by its id.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
projectRefany ofRequired

Project slug or project id (proj_*)

string · min: 31 · max: 31Optional

Object ID with prefix "proj_"

Example: proj_c4x6k3w8j7n9b1z5s2t4m8q0ve
or
string · min: 1Optional
versionTypestring · enumRequired

Version type, can be either 'branch' or 'environment'

Example: branchPossible values:
versionSlugstring · min: 1Required

Version slug

Example: main
idstring · min: 31 · max: 31Required

Example identifier

Example: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
Responses
200

Example details

application/json

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
get/v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples/{id}
GET /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

Replace Example

post

Completely replaces a Example item by its id.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
projectRefany ofRequired

Project slug or project id (proj_*)

string · min: 31 · max: 31Optional

Object ID with prefix "proj_"

Example: proj_c4x6k3w8j7n9b1z5s2t4m8q0ve
or
string · min: 1Optional
versionTypestring · enumRequired

Version type, can be either 'branch' or 'environment'

Example: branchPossible values:
versionSlugstring · min: 1Required

Version slug

Example: main
idstring · min: 31 · max: 31Required

Example identifier

Example: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
Body

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
Responses
200

Example replaced

application/json

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
post/v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples/{id}
POST /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 470

{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}
{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

Delete Example

delete

Delete a Example item by its id.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
projectRefany ofRequired

Project slug or project id (proj_*)

string · min: 31 · max: 31Optional

Object ID with prefix "proj_"

Example: proj_c4x6k3w8j7n9b1z5s2t4m8q0ve
or
string · min: 1Optional
versionTypestring · enumRequired

Version type, can be either 'branch' or 'environment'

Example: branchPossible values:
versionSlugstring · min: 1Required

Version slug

Example: main
idstring · min: 31 · max: 31Required

Example identifier

Example: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
Responses
204

Example deleted

No content

delete/v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples/{id}
DELETE /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Update Example

patch

Partially updates a Example item by its id.

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

Authorizations
AuthorizationstringRequired

Project API key authentication. Use your project API key as a Bearer token in the Authorization header.

Path parameters
projectRefany ofRequired

Project slug or project id (proj_*)

string · min: 31 · max: 31Optional

Object ID with prefix "proj_"

Example: proj_c4x6k3w8j7n9b1z5s2t4m8q0ve
or
string · min: 1Optional
versionTypestring · enumRequired

Version type, can be either 'branch' or 'environment'

Example: branchPossible values:
versionSlugstring · min: 1Required

Version slug

Example: main
idstring · min: 31 · max: 31Required

Example identifier

Example: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
Body
idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3pljxeetm3uExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Optional

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
Responses
200

Example updated

application/json

Example is a reusable example that holds either an inline payload or an external reference for request or response bodies.

idstring · min: 31 · max: 31Optional

Object ID with prefix "expl_"

Default: expl_agqatw3xir2znbb3nkko4ker4aExample: expl_c4x6k3w8j7n9b1z5s2t4m8q0ve
namestringOptional

Non-unique name of a reusable example; matches how it is referenced in API definitions.

Example: default
valueanyOptional

Inline example payload for the referenced content type.

Example: {"id":"123","name":"Example"}
externalValuestringOptional

URL pointing to an external example payload.

Example: https://example.com/sample.json
summarystringOptionalExample: Example user object
descriptionstringOptional

Example description in markdown.

Example: A sample user object demonstrating the expected structure.
descriptionBlocksany ofOptional

Example description in ProseMirror JSON blocks.

Example: {"type":"paragraph","content":[{"type":"text","text":"Example description in rich text format."}]}
or
versionIdstring · min: 30 · max: 30Required

Object ID with prefix "ver_"

Example: ver_c4x6k3w8j7n9b1z5s2t4m8q0ve
updatedAtstring · nullableOptionalDefault: 2026-08-16T09:16:12.996ZExample: 2024-01-15T10:30:00.000Z
patch/v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples/{id}
PATCH /v2/catalog/projects/{projectRef}/{versionType}/{versionSlug}/examples/{id} HTTP/1.1
Host: api.appear.sh
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 470

{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}
{
  "id": "expl_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "name": "default",
  "value": {
    "id": "123",
    "name": "Example"
  },
  "externalValue": "https://example.com/sample.json",
  "summary": "Example user object",
  "description": "A sample user object demonstrating the expected structure.",
  "descriptionBlocks": {
    "type": "paragraph",
    "content": [
      {
        "type": "text",
        "text": "Example description in rich text format."
      }
    ]
  },
  "kvStorage": {},
  "versionId": "ver_c4x6k3w8j7n9b1z5s2t4m8q0ve",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

Last updated